<?php



namespace app\common\repositories\store;


use app\common\dao\store\CityAreaDao;
use app\common\repositories\BaseRepository;

/**
 * @mixin CityAreaDao
 */
class CityAreaRepository extends BaseRepository
{
    public function __construct(CityAreaDao $dao)
    {
        $this->dao = $dao;
    }

    public function getChildren($pid)
    {
        return $this->search(['pid' => $pid])->select();
    }
}